# Auto generated configuration file
# using: 
# Revision: 1.19 
# Source: /local/reps/CMSSW/CMSSW/Configuration/Applications/python/ConfigBuilder.py,v 
# with command line options: Configuration/GenProduction/python/ThirteenTeV/XXTo4J_M-100_CTau-2000mm_TuneCUETP8M1_13TeV_pythia8_cff.py --fileout file:EXO-RunIISummer15GS-05795.root --mc --eventcontent RAWSIM --customise SLHCUpgradeSimulations/Configuration/postLS1Customs.customisePostLS1,Configuration/DataProcessing/Utils.addMonitoring --datatier GEN-SIM --conditions MCRUN2_71_V1::All --beamspot Realistic50ns13TeVCollision --step GEN,SIM --magField 38T_PostLS1 --python_filename /afs/cern.ch/cms/PPD/PdmV/work/McM/submit/EXO-RunIISummer15GS-05795/EXO-RunIISummer15GS-05795_1_cfg.py --no_exec -n 52
import FWCore.ParameterSet.Config as cms

process = cms.Process('SIM')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mixNoPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.Geometry.GeometrySimDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_PostLS1_cff')
process.load('Configuration.StandardSequences.Generator_cff')
process.load('IOMC.EventVertexGenerators.VtxSmearedRealistic50ns13TeVCollision_cfi')
process.load('GeneratorInterface.Core.genFilterSummary_cff')
process.load('Configuration.StandardSequences.SimIdeal_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(52)
)

# Input source
process.source = cms.Source("EmptySource")

process.options = cms.untracked.PSet(

)

# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.19 $'),
    annotation = cms.untracked.string('Configuration/GenProduction/python/ThirteenTeV/XXTo4J_M-100_CTau-2000mm_TuneCUETP8M1_13TeV_pythia8_cff.py nevts:52'),
    name = cms.untracked.string('Applications')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('file:EXO-RunIISummer15GS-05795.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM')
    ),
    SelectEvents = cms.untracked.PSet(
        SelectEvents = cms.vstring('generation_step')
    )
)

# Additional output definition

# Other statements
process.genstepfilter.triggerConditions=cms.vstring("generation_step")
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'MCRUN2_71_V1::All', '')

process.generator = cms.EDFilter("Pythia8GeneratorFilter",
    pythiaPylistVerbosity = cms.untracked.int32(0),
    filterEfficiency = cms.untracked.double(1),
    pythiaHepMCVerbosity = cms.untracked.bool(False),
    comEnergy = cms.double(13000.0),
    crossSection = cms.untracked.double(1),
    maxEventsToPrint = cms.untracked.int32(0),
    PythiaParameters = cms.PSet(
        pythia8CommonSettings = cms.vstring('Tune:preferLHAPDF = 2', 
            'Main:timesAllowErrors = 10000', 
            'Check:epTolErr = 0.01', 
            'Beams:setProductionScalesFromLHEF = off', 
            'SLHA:keepSM = on', 
            'SLHA:minMassSM = 1000.', 
            'ParticleDecays:limitTau0 = on', 
            'ParticleDecays:tau0Max = 10', 
            'ParticleDecays:allowPhotonRadiation = on'),
        pythia8CUEP8M1Settings = cms.vstring('Tune:pp 14', 
            'Tune:ee 7', 
            'MultipartonInteractions:pT0Ref=2.4024', 
            'MultipartonInteractions:ecmPow=0.25208', 
            'MultipartonInteractions:expPow=1.6'),
        processParameters = cms.vstring('Higgs:useBSM = on', 
            'HiggsBSM:all = off', 
            'HiggsBSM:ffbar2A3H2 = on', 
            '35:m0 = 100', 
            '36:m0 = 100', 
            '35:tau0 = 2000', 
            '36:tau0 = 2000', 
            '35:0:bRatio = .2', 
            '35:1:bRatio = .2', 
            '35:2:bRatio = .2', 
            '35:3:bRatio = .2', 
            '35:4:bRatio = .2', 
            '35:5:bRatio =  0', 
            '35:9:bRatio =  0', 
            '35:10:bRatio=  0', 
            '36:0:bRatio = .2', 
            '36:1:bRatio = .2', 
            '36:2:bRatio = .2', 
            '36:3:bRatio = .2', 
            '36:4:bRatio = .2', 
            '36:5:bRatio =  0', 
            '36:9:bRatio =  0', 
            '36:10:bRatio =  0', 
            '35:0:meMode = 100', 
            '35:1:meMode = 100', 
            '35:2:meMode = 100', 
            '35:3:meMode = 100', 
            '35:4:meMode = 100', 
            '35:5:meMode = 100', 
            '35:9:meMode = 100', 
            '35:10:meMode = 100', 
            '36:0:meMode = 100', 
            '36:1:meMode = 100', 
            '36:2:meMode = 100', 
            '36:3:meMode = 100', 
            '36:4:meMode = 100', 
            '36:5:meMode = 100', 
            '36:9:meMode = 100', 
            '36:10:meMode = 100', 
            'HiggsA3:coup2d = 1', 
            'HiggsA3:coup2u = 1', 
            'HiggsA3:coup2H1Z = 0', 
            'HiggsA3:coup2H2Z = 1', 
            'HiggsA3:coup2l = 0', 
            'HiggsA3:coup2HchgW = 0', 
            'HiggsH2:coup2d = 1', 
            'HiggsH2:coup2u = 1', 
            'HiggsH2:coup2l = 0', 
            'HiggsH2:coup2Z = 0', 
            'HiggsH2:coup2W = 0', 
            'HiggsH2:coup2H1H1 = 0', 
            'HiggsH2:coup2A3A3 = 0', 
            '35:onMode = off', 
            '35:onIfAny = 1 2 3 4 5', 
            '36:onMode = off', 
            '36:onIfAny = 1 2 3 4 5'),
        parameterSets = cms.vstring('pythia8CommonSettings', 
            'pythia8CUEP8M1Settings', 
            'processParameters')
    )
)


process.ProductionFilterSequence = cms.Sequence(process.generator)

# Path and EndPath definitions
process.generation_step = cms.Path(process.pgen)
process.simulation_step = cms.Path(process.psim)
process.genfiltersummary_step = cms.EndPath(process.genFilterSummary)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.generation_step,process.genfiltersummary_step,process.simulation_step,process.endjob_step,process.RAWSIMoutput_step)
# filter all path with the production filter sequence
for path in process.paths:
	getattr(process,path)._seq = process.ProductionFilterSequence * getattr(process,path)._seq 

# customisation of the process.

# Automatic addition of the customisation function from Configuration.DataProcessing.Utils
from Configuration.DataProcessing.Utils import addMonitoring 

#call to customisation function addMonitoring imported from Configuration.DataProcessing.Utils
process = addMonitoring(process)

# Automatic addition of the customisation function from SLHCUpgradeSimulations.Configuration.postLS1Customs
from SLHCUpgradeSimulations.Configuration.postLS1Customs import customisePostLS1 

#call to customisation function customisePostLS1 imported from SLHCUpgradeSimulations.Configuration.postLS1Customs
process = customisePostLS1(process)

# End of customisation functions
